import React from 'react';
export declare const NanoIDInput: React.ForwardRefExoticComponent<Omit<import("antd").InputProps & React.RefAttributes<import("antd").InputRef>, "ref"> & React.RefAttributes<import("antd").InputRef>> & {
    ReadPretty: (props: import("antd").InputProps & {
        ellipsis?: any;
    }) => import("react/jsx-runtime").JSX.Element;
};
